local t = Def.ActorFrame {};

t[#t+1] = Def.Quad {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
		OnCommand=cmd(blend,Blend.Multiply;smooth,1;diffusealpha,0.4;diffuse,color("#654E30"));
};

t[#t+1] = LoadActor("redbg") .. {
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffusealpha,0;);
	OnCommand=cmd(sleep,1;blend,Blend.Multiply;smooth,0.3;diffusealpha,0.5;sleep,4;)
};

t[#t+1] = LoadActor("_failedsign") .. {
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0);
	OnCommand=cmd(sleep,1;zoom,2.9;smooth,0.2;diffusealpha,1.0;zoom,1.2;smooth,3.0;zoom,1.0;)
};

t[#t+1] = Def.Quad {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffusealpha,0);
		OnCommand=cmd(sleep,1;diffuse,color("#FFFFFF");smooth,0.3;diffusealpha,0);
};

t[#t+1] = LoadActor(THEME:GetPathS("_failed", "fanfare")) .. {
        OnCommand=cmd(sleep,0.9;queuecommand,("Play"));
		PlayCommand=cmd(play;);
};

return t